Subject: Re: [PATCH] powerpc: Add PVN support for HeXin C2000 processor

From: Michael Ellerman <[email-masked]>
Date: Wed, 29 Nov 2023 16:28:56 +1100

Zhao Ke 赵 可 <[email-masked]> writes:
> On 2023/11/22 9:46, Michael Ellerman wrote:
>> Zhao Ke <[email-masked]> writes:
>>> HeXin Tech Co. has applied for a new PVN from the OpenPower Community
>>> for its new processor C2000. The OpenPower has assigned a new PVN
>>> and this newly assigned PVN is 0x0066, add pvr register related
>>> support for this PVN.
>>>
>>> Signed-off-by: Zhao Ke <[email-masked]>
>>> Link: https://discuss.openpower.foundation/t/how-to-get-a-new-pvr-for-processors-follow-power-isa/477/10
>>   
>> Hi Zhao Ke,
>>
>> Thanks for the patch. Just a few questions.
>>
>> Are you able to provide any further detail on the processor?
>>
>> Your cputable entry claims that it's identical to the original Power8
>> core, can you comment at all on how true that is in practice?
>
> Basically, we made lots of design change for the new processor.
>
> For example:
>
>      1. redesign the interconnect of the fabric, from crossbar to mesh
>
>      2. redesign the memory subsystem, including the modification of L2 
> and L3 architecture
>
>      3. redesign the SMP bus
>
>      4. upgrade PCIe to gen5 and increase the number of lanes
>
>      5. upgrade ddr to DDR5, dimm direct connected, and the number of 
> channels
>
>      6. redesign the pervasive architecture, including debug/trace, 
> clock&power management, etc.

OK thanks for the detail.

Given all those changes I think you should not use "Power8" as the CPU
name. Whatever the lineage of the core design is, it's no longer a
literal "Power8", not even the same design using a different process
node.

So I think you should call it "HeXin C2000" or similar.

cheers